
#######################
# PROD Database Settings
#######################
mindink.jdbc.driverClassName=org.postgresql.Driver
mindink.jdbc.url=jdbc:postgresql://mindink-prddb.cr7fxhcc2tv9.ap-southeast-2.rds.amazonaws.com:5432/mindink
mindink.jdbc.username=mindink
mindink.jdbc.password=tQ7g4Usd63lgYkfU38wmn

mindink.db.schema_name=public
mindink.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect

db.connection_pool.min_idle=20
db.connection_pool.max_active=40

#######################
# Mail Server Settings
#######################
smtp_host=10.10.1.159
smtp_user=
smtp_pass=
smtp_port=25
smtp_use_ssl=false

# Default session livespan in milliseconds (5 days)
mindink.session.default.livespan=4432000000
concurrent_session_limit=5

email_from=noreply@mindink.com
mindink.hostname=https://mindink.com
redirect.unauthenticated.traffic.to=https://mindink.com/index

#######################
#    AWS settings
#######################
aws.s3.bucketname=mindink-prod
aws.accessKey=AKIAIOKR3LXJTNAX6E7A
aws.securityKey=1z9v/vl2cKRuOS7VBEKD48FMiZZpSxBMbW9GqwUR

http.proxy.enabled=true
http.proxy.host=10.10.1.159
http.proxy.port=3128

#######################
# eWay Prod Settings
#######################
access_code_service_endpoint=https://api.ewaypayments.com/AccessCodes
transaction_status_service_endpoint=https://api.ewaypayments.com/AccessCode/
token_payment_service_endpoint=https://api.ewaypayments.com/Transaction
eway_api_key=A1001AeGCXgsnyidaKzGwdKDiEWs5xJsftoVDz1nadgDNbPPy5uLoCaYVWiToeLz4f4NXy
eway_api_password=MindInk2014
redirect_url=https://mindink.com

#######################
#   File uploads
#######################
# max file size in bytes
upload.maxfilesize=5242880

#######################
#   Search Settings
#######################
search.allBooks.result = 20

#######################
#   Task Executors
#######################
task.executor.pool_size=10
task.executor.queue_size=1000
task.scheduler.pool_size=20

#######################
#   Social Config
#######################
facebook.clientId=268700243299037
facebook.clientSecret=2d0734846aa17f94dd8e8f30e35b3c9a
twitter.clientId=
twitter.clientSecret=

